import React from 'react'
import { Menu } from 'antd'

const menuStyle = { height: '100%' }

export default (props) => {
  const { theme, items, location } = props

  const [openKeys, setOpenKeys] = React.useState([]);
  const selectedKeys = [location.pathname]
 
  React.useEffect(() => {
    const parts = location.pathname.split('/').filter(Boolean)
    const keys = parts.reduce((acc, key) => {
      const cur = [acc, key].join('/');
      return acc.concat(cur);
    }, [])
    setOpenKeys(keys);
  }, [location.pathname])

  console.log(items)
  return (
    <Menu
      mode="inline"
      style={menuStyle}
      theme={theme}
      items={items}
      selectedKeys={selectedKeys}
      openKeys={openKeys}
      onOpenChange={setOpenKeys}
    />
  )
}
