import {
  AppstoreOutlined,
  MailOutlined,
  SettingOutlined,
} from "@ant-design/icons";
import { Menu } from "antd";
import React, { useState } from "react";
function getItem(label, key, icon, children, type) {
  return {
    key,
    icon,
    children,
    label,
    type,
  };
}
const items = [
  getItem("Navigation One", "sub1", <MailOutlined />, [
    getItem("Option 1", "/sub1/1"),
    getItem("Option 2", "/sub1/2"),
    getItem("Option 3", "/sub1/3"),
    getItem("Option 4", "/sub1/4"),
  ]),
  getItem("Navigation Two", "sub2", <AppstoreOutlined />, [
    getItem("Option 5", "/sub2/5"),
    getItem("Option 6", "/sub2/6"),
    getItem("Submenu", "sub3", null, [
      getItem("Option 7", "/sub3/7"),
      getItem("Option 8", "/sub3/8"),
    ]),
  ]),
  getItem("Navigation Three", "sub4", <SettingOutlined />, [
    getItem("Option 9", "/sub4/9"),
    getItem("Option 10", "/sub4/10"),
    getItem("Option 11", "/sub4/11"),
    getItem("Option 12", "/sub4/12"),
  ]),
];
export default (props) => {
  const rootSubmenuKeys = ["sub1", "sub2", "sub4"];

  const [openKeys, setOpenKeys] = useState(["sub1"]);
  const onOpenChange = (keys) => {
    const latestOpenKey = keys.find((key) => openKeys.indexOf(key) === -1);
    if (rootSubmenuKeys.indexOf(latestOpenKey) === -1) {
      setOpenKeys(keys);
    } else {
      setOpenKeys(latestOpenKey ? [latestOpenKey] : []);
    }
  };
  console.log(items)
  console.log(openKeys)
  return (
    <Menu
      mode="inline"
      openKeys={openKeys}
      onOpenChange={onOpenChange}
      style={{
        width: 256,
      }}
      items={items}
    />
  );
};
