import { getTaMemberId } from "@/services/taMember";
import { Card } from "antd";
import React, { useEffect, useState } from "react";
import { useSearchParams } from "react-router-dom";
import Page from "@/components/Page";
import MemberInfo from "./components/MemberInfo";
import MemberCardInfo from "./components/MemberCardInfo";
import "./index.less";
// import Pages from "./components/Pages";
export default (props) => {
  const [params] = useSearchParams();
  const [activeTabKey, setActiveTabKey] = useState("tab1");
  const [memberList, setMemberList] = useState();
  const id = params.get("id");

  useEffect(() => {
    if (id) {
      getTaMemberId(id).then((res) => {
        setMemberList(res || {});
      });
    }
  }, []);

  return (
    <Page back>
      <Card
        title="会员信息"
        className="scorll"
        style={{ width: "100%", overflowY: "scroll", maxHeight: "700px", marginBottom: "24px" }}
      >
        <MemberInfo memberList={memberList} />
      </Card>

      <Card
        title="会员卡信息"
        className="scorll"
        style={{ width: "100%", overflowY: "scroll" }}
      >
        <MemberCardInfo memberId={id} />
      </Card>
    </Page>
  );
};
